## osdsh 0.7.0

=== Makefile ===
VERSION=0.6.0

PREFIX=/usr/local
EXEC_PREFIX=$(PREFIX)
BINDIR=$(EXEC_PREFIX)/bin
LIBDIR=$(EXEC_PREFIX)/lib
DOCDIR=$(PREFIX)/doc/osdsh
INCLUDEDIR=$(PREFIX)/include

INSTALL=/usr/bin/install -c

all: osdsh osdctl

osdsh: 
	cd src/$@; make

osdctl:
	cd src/$@; make

install: all
	$(INSTALL) src/osdsh/osdsh $(BINDIR)
	$(INSTALL) src/osdctl/osdctl $(BINDIR)
	mkdir -p $(LIBDIR)/osdsh
	$(INSTALL) src/osdsh/libosdsh*.so $(LIBDIR)/osdsh
	mkdir -p $(DOCDIR)
	$(INSTALL) README $(DOCDIR)

clean:
	cd src/osdsh; make clean
	cd src/osdctl; make clean

=== src/osdctl/Makefile ===
CC     = gcc
PREFIX = /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/doc/osdsh
LIBDIR = -L/usr/X11R6/lib -L/usr/lib
LIBS   = $(LIBDIR)
CFLAGS = -O3


all: osdctl

osdctl:
	gcc $(LIBDIR) $(LIBS) $(CFLAGS) -o $@ $@.c

clean: 
	rm osdctl

=== src/osdsh/Makefile ===
CC     = gcc
PREFIX = /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/doc/osdsh
LIBDIR = -L/usr/X11R6/lib -L/usr/lib
LIBS   = $(LIBDIR) -lxosd -lpthread
CFLAGS = -O3

#APMOBJS = apmwatch.o
#APMLIBS = -lapm
#APM=1

OBJS   =  controlsh.o utils.o

all: osdsh libs

libs: libosdshclock.so libosdshmixer.so libosdshapm.so libosdshnet.so

%.o: %.c

	gcc -c $<

osdsh: $(OBJS)
	gcc -c $(CFLAGS) $@.c
	gcc $(CFLAGS) -o $@ osdsh.o $(OBJS) $(LIBS) &#8211;ldl

clean: libclean
	rm osdsh
	rm *.o

libclean:
	rm libosdsh*.so

libosdshclock.so: 
	gcc -fPIC -c clockdisplay.c
	gcc -shared -o $@ clockdisplay.o utils.o

libosdshmixer.so:
	gcc -fPIC -c mixerwatch.c
	gcc -shared -o $@ mixerwatch.o utils.o

libosdshapm.so:
	gcc -fPIC -c apmwatch.c
	gcc -shared -o $@ apmwatch.o utils.o -lapm

libosdshnet.so: 
	gcc -fPIC -c connectionwatch.c
	gcc -shared -o $@ connectionwatch.o utils.o

=== debian/changelog ===
osdsh (0.7.0-12) unstable; urgency=medium

  * QA upload.
  * Move packaging to Debian team on Salsa
  * Add Homepage
  * Add watch file
  * d/copyright: DEP5
  * Fix build with gcc-15
  * Do not build parallel
    Closes: 1091062
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 12 Sep 2025 17:22:14 +0200

osdsh (0.7.0-11) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1010351)

 -- Marcos Talau <talau@debian.org>  Wed, 16 Nov 2022 06:34:45 -0300

osdsh (0.7.0-10.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix a crash by removing dlsym for mixerdevice (Closes: 980435).
    Thanks to Dennis Filder and Celelibi
  * Don’t attempt to load non-existing APM plugin.
    Thanks to Dennis Filder for pointing this out.
  * Refresh the remaining patch.
  * Add Vcs-* to where Git history lives.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 21 Jan 2021 12:35:32 +0100

osdsh (0.7.0-10.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Refresh patches and add patches to fix build with GCC 10
    (Closes: #957647):
    - Explicitly include unistd.h, string.h, stdlib.h
    - Allocate mixerdevice only once
    - Add forward declarations for functions in other source files
    - Use snprintf for a bit more robust string handling
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Fix Makefiles to use system compiler settings.
  * Export buildflags.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 04 Jan 2021 19:27:50 +0100

osdsh (0.7.0-10.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable APM support.
    APM support enabled was preventing osdsh to migrate to testing,
    since apmd has been non-functional for ages and is RC-buggy.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 07 Jan 2019 13:12:45 +0100

osdsh (0.7.0-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upgrade to dh compat level 10 (Closes: #817610).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 04 Oct 2016 12:11:21 +0200

osdsh (0.7.0-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change Tcl dependency from 8.4 to a versionless tcl package.
  * Switch to 3.0 (quilt) source package format.
  * Update menu file.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Sep 2013 13:59:25 +0200

osdsh (0.7.0-10) unstable; urgency=low

  * osdctl still hangs while trying to write to osdsh fifo (Closes:
    #432397). Thanks to Peter Colberg <peterco@gmx.net> for the patch!
  * Fix "FTBFS with binutils-gold" by removing HTML encoded dash from Makefile
    (WTF?) (Closes: #555874)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 17 Nov 2009 11:10:18 +0100

osdsh (0.7.0-9) unstable; urgency=low

  * fixes: osdsh displays part of previous messages (Closes: #301229)
  * osdsh will not start if it detects that another instance is already
    running.
  * osdctl will check that osdsh is running before trying to write to
    fifo - prevents hangs, useful for scripts.
  (All thanks to Roman Yepishev <roman.yepishev@gmail.com>)
  * Bump standards version (no change)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 17 Jun 2007 10:00:33 +0100

osdsh (0.7.0-8) unstable; urgency=low

  * Closes: #301207: osdsh does not work with option "-m"
    + fixed by using -rdynamic, thanks to Georg Drees for hunting that one
      down
  * Fixed typo, thanks again to Georg Drees

 -- Joachim Breitner <nomeata@debian.org>  Fri,  1 Apr 2005 13:15:07 +0200

osdsh (0.7.0-7) unstable; urgency=low

  * Closes: #301210: osdsh option -p behaves flipped to documentation
  * Closes: #301222: clarify osdctl options "-b" and "-l" in help screen
  * Closes: #301207: osdsh does not work with option "-m"
    Fixing this was a bad hack, possible breaking compatibility with (pretty
    surely not existing) custom plugins. If it hits you, complain loud enough
    for me to hear
    I'll tackle the other, more serious bugs later. I am feeling kind of
    upstream here :-)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 24 Mar 2005 23:38:21 +0100

osdsh (0.7.0-6) unstable; urgency=low

  * Closes: #299442: does not start on powerpc (thanks to
    Wolfram Quester <wolfi@mittelerde.physik.uni-konstanz.de>
    for the fix)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 22 Mar 2005 12:29:50 +0100

osdsh (0.7.0-5) unstable; urgency=low

  * Closes: #274245: -a: invalid option, thx to Thomas Themel
  * Quoted strings in menu file to make lintian happy

 -- Joachim Breitner <nomeata@debian.org>  Thu, 30 Sep 2004 20:02:19 +0200

osdsh (0.7.0-4) unstable; urgency=low

  * bumped standards version to 3.6.1 (no changes)
  * Fix copyright file according to weasels's suggestion

 -- Joachim Breitner <nomeata@debian.org>  Mon, 15 Dec 2003 18:27:48 +0100

osdsh (0.7.0-3) unstable; urgency=low

  * Started using dpatch
  * Integrated Derek Lewis' outline patch

 -- Joachim Breitner <nomeata@debian.org>  Mon,  8 Dec 2003 19:38:39 +0100

osdsh (0.7.0-2) unstable; urgency=low

  * Build with -fPIC (Closes: Bug#22062)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 14 Nov 2003 16:24:50 +0100

osdsh (0.7.0-1) unstable; urgency=low

  * Minor cosmetic Suggestions from debian-mentors
  * Initial Upload to the debian archive (Closes: Bug#207940)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 22 Oct 2003 17:10:20 +0200

osdsh (0.7.0-0.2) unstable; urgency=low

  * Fixed PLUGINDIR

 -- Joachim Breitner <nomeata@debian.org>  Sun, 31 Aug 2003 15:13:16 +0200

osdsh (0.7.0-0.1) unstable; urgency=low

  * Internal Pre-Release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 30 Aug 2003 22:32:25 +0200

=== debian/control ===
Source: osdsh
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: x11
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libxosd-dev,
 libxosd2,
Vcs-Browser: https://salsa.debian.org/debian/osdsh
Vcs-Git: https://salsa.debian.org/debian/osdsh.git
Homepage: https://osdsh.sourceforge.net/

Package: osdsh
Architecture: any
Depends:
 tk,
 ${shlibs:Depends},
 ${misc:Depends},
Description: overlays your screen with various system information
 OSDsh is a little program that overlays system information using
 the XOSD library. OSDsh was originally based on osdd and provides
 features like:
 .
  * It is able to display a clock.
  * Shows the volume levels of the soundcard when changing.
  * Tells you if you are on- or off-line, and the time you were connected.
  * Shows the battery status and
  * shows any message you want it to.

=== debian/rules ===
#!/usr/bin/make -f
# Created by Joachim Breitner <nomeata@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --no-parallel

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/osdsh/usr DOCDIR=$(CURDIR)/debian/osdsh/usr/share/doc/osdsh
	install tkosdshconfig	$(CURDIR)/debian/osdsh/usr/bin/osdshconfig

=== debian/watch ===
Version: 5
Source: https://sf.net/@PACKAGE@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
